### Constructor

# Gtk BoolFilternew

#### Declaration [src]

    GtkBoolFilter*
    gtk_bool_filter_new (
      GtkExpression* expression
    )

#### Description [src]

Creates a new bool filter.

#### Parameters

`expression`

  Type: `GtkExpression`

  The expression to evaluate.

  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `GtkBoolFilter`

A new `GtkBoolFilter`

The caller of the function takes ownership of the data, and is responsible for freeing it.